Package org.opensaml.saml.saml2.metadata

# Interface LocalizedName

All Superinterfaces:
  `LangBearing`, `SAMLObject`, `XMLObject`, `XSString`

All Known Subinterfaces:
  `Description`, `DisplayName`, `OrganizationDisplayName`, `OrganizationName`, `ServiceDescription`, `ServiceName`

All Known Implementing Classes:
  `DescriptionImpl`, `DisplayNameImpl`, `LocalizedNameImpl`, `OrganizationDisplayNameImpl`, `OrganizationNameImpl`, `ServiceDescriptionImpl`, `ServiceNameImpl`

public interface LocalizedName extends XSString, LangBearing, SAMLObject
LocalizedName.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.core.xml.LangBearing

`XML_LANG_ATTR_LOCAL_NAME, XML_LANG_ATTR_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.LangBearing

`getXMLLang, setXMLLang`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.